List verified phone numbers for a user.
This endpoint is restricted and requires both a client credentials token and additional access to use. Please speak with your implementation manager if you would like to use this API.
Security
ClientCredentialsToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
- Production Environmenthttps://api.wise.com/v1/application/users/{userId}/phone-numbers
- Sandbox Environmenthttps://api.wise-sandbox.com/v1/application/users/{userId}/phone-numbers
curl -i -X GET \
'https://api.wise.com/v1/application/users/{userId}/phone-numbers' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'OK
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Array []
Type of phone number when used in authentication.
Only PRIMARY is supported at the moment.
Example:"PRIMARY"
Response
[ { "id": 1230944, "phoneNumber": "+6588888888", "type": "PRIMARY", "verified": true, "clientId": "clientId" } ]